Bug 197272 - 2.6.17-1.2139 broke netconsole
2.6.17-1.2139 broke netconsole
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 15:20 EDT by Dax Kelson
Modified: 2008-04-04 10:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix up netdump on FC-5 (1.24 KB, patch)
2006-11-28 15:35 EST, Neil Horman
no flags Details | Diff

  None (edit)
Description Dax Kelson 2006-06-29 15:20:00 EDT
Description of problem:
I'm having a problem with 2.6.17-1.2139 freezing hard on my ThinkPad T42p.

In trying to debug it I wanted to use netconsole, however it no longer works
with the netdump RPM and the /etc/init.d/netdump script.

The error is "netlog unknown parameter" when trying to start the script (which
modprobes the kernel module).

Here is modinfo -p from 2.6.16-1.2133:

modinfo -p 2.6.16-1.2133_FC5/kernel/drivers/net/netconsole.ko
netconsole: netconsole=[src-port]@[src-ip]/[dev],[tgt-port]@<tgt-ip>/[tgt-macaddr]

netlog: netlog=[src-port]@[src-ip]/[dev],[tgt-port]@<tgt-ip>/[tgt-macaddr]

Here is modinfo -p from 2.6.17-1.2139:
modinfo -p 2.6.17-1.2139_FC5/kernel/drivers/net/netconsole.ko
netconsole: netconsole=[src-port]@[src-ip]/[dev],[tgt-port]@<tgt-ip>/[tgt-macaddr]
Comment 1 Orion Poplawski 2006-07-31 16:26:07 EDT
Also, the netdump module appears to no longer be shipping.  Is this intentional?
Comment 2 Michael Loeblich 2006-08-13 11:48:35 EDT
The situation did not changed for 1,5 month. Anybody cares? Netdump feature
would be nice to trace actual VMware-server problems. My output here:

[root@gsxt7 ~]# service netdump start
netdump: cannot arp  on eth0
initializing netdump FATAL: Module netdump not found.
                                                           [FAILED]
initializing netconsole FATAL: Error inserting netconsole
(/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/net/netconsole.ko): Unknown
symbol in module, or unknown parameter (see dmesg)
                                                           [FAILED]
[root@gsxt7 ~]#

Thank you.
-- Michael
Comment 3 Dave Jones 2006-10-16 15:37:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Linda Wang 2006-10-23 15:06:26 EDT
netdump is no longer supported in FC6 because the kernel dumping
mechanism has been replaced by kexec/kdump.  
Please see 

http://fedoraproject.org/wiki/?FC6KdumpKexecHowTo

for how to use kdump to gather core dumps for the kernel.
Comment 5 Dave Jones 2006-11-20 14:40:04 EST
Hmm. Backporting the FC6 kernel to FC5 caused quite a bit of damage here.
As Linda pointed out, we dropped the netdump patches from the kernel in favour
of what was upstream (in part as they were unmaintained and tended to bitrot
quickly).
We also previously had some netconsole changes that for reasons I was never able
to figure out deviated from upstream for no good reason.

This has broken the FC5 netdump script quite horribly.
The easiest fix for FC5 is probably to
a) Drop netdump support from the script [rather than backport all the kdump stuff]
b) Make the scripts use netconsole= instead of netlog=
Comment 6 Neil Horman 2006-11-20 15:25:24 EST
dave - 
seems reasonable.  I'll get to it as soon as I'm able.
Comment 7 Neil Horman 2006-11-28 15:35:16 EST
Created attachment 142324 [details]
patch to fix up netdump on FC-5

Haven't got an FC-5 box handy to test it on, but this should make the netlog
setup use the netconsole module option instead and fails if any NETDUMP
parameters are configured on systems not having the netdump.ko module for the
running version.  Please test this and confirm that it functions as expected. 
Thanks!
Comment 8 Dax Kelson 2006-11-28 20:01:00 EST
I don't have easy access to a FC5 box anymore (it now runs FC6). I doubt I'll be
able to dig one up soon.
Comment 9 Neil Horman 2006-11-29 10:39:16 EST
Asside from a minor typo on the netdump.ko logic, I've managed to test and get
the results I wanted.  I'll check the corrected patch in
Comment 10 Bug Zapper 2008-04-03 23:11:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Neil Horman 2008-04-04 10:04:31 EDT
since we don't support netdump anymore, I'm closing this as wontfix

Note You need to log in before you can comment on or make changes to this bug.